﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace UnivateProperties_API.Migrations
{
    public partial class MailModel : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<int>(
                name: "MailSourceId",
                table: "CommunicationLog",
                nullable: true);

            migrationBuilder.CreateIndex(
                name: "IX_CommunicationLog_MailSourceId",
                table: "CommunicationLog",
                column: "MailSourceId");

            migrationBuilder.AddForeignKey(
                name: "FK_CommunicationLog_MailSource_MailSourceId",
                table: "CommunicationLog",
                column: "MailSourceId",
                principalTable: "MailSource",
                principalColumn: "Id",
                onDelete: ReferentialAction.Restrict);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_CommunicationLog_MailSource_MailSourceId",
                table: "CommunicationLog");

            migrationBuilder.DropIndex(
                name: "IX_CommunicationLog_MailSourceId",
                table: "CommunicationLog");

            migrationBuilder.DropColumn(
                name: "MailSourceId",
                table: "CommunicationLog");
        }
    }
}
